# operator+(std::reverse_iterator)

From cppreference.com
< cpp‎ | iterator‎ | reverse iterator

template< class Iterator > reverse_iterator<Iterator> operator+( typename reverse_iterator<Iterator>::difference_type n, const reverse_iterator<Iterator>& it ); |  | (until C++17)
template< class Iterator > constexpr reverse_iterator<Iterator> operator+( typename reverse_iterator<Iterator>::difference_type n, const reverse_iterator<Iterator>& it ); |  | (since C++17)

Returns the iterator `it` incremented by `n`.

### Parameters

n | - | the number of positions to increment the iterator
it | - | the iterator adaptor to increment

### Return value

The incremented iterator, that is reverse_iterator<Iterator>(x.current - n)

### Example

| This section is incomplete Reason: no example

### See also

operator++operator++(int)operator+=operator+operator--operator--(int)operator-=operator- | advances or decrements the iterator (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/reverse_iterator/operator%2B&oldid=50885"
Category:

- Todo no example